<?php

/**
 * This is the model class for table "itemkitchen".
 *
 * The followings are the available columns in table 'itemkitchen':
 * @property string $itemid
 * @property string $kitchenno
 * @property boolean $ispos
 */
class Itemkitchen extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return Itemkitchen the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'itemkitchen';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('itemid, kitchenno', 'required'),
			array('itemid, kitchenno', 'length', 'max'=>15),
			array('ispos', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('itemid, kitchenno, ispos', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'itemid' => Yii::t('itemkitchen', 'itemid'),
			'kitchenno' => Yii::t('itemkitchen', 'kitchenno'),
			'ispos' => Yii::t('itemkitchen', 'ispos'),
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('itemid',$this->itemid,true);
		$criteria->compare('kitchenno',$this->kitchenno,true);
		$criteria->compare('ispos',$this->ispos);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}