<?php

class SettingForm extends CFormModel {

    public $server;
    public $dbname;
    public $user;
    public $pass;

    /**
     * Declares the validation rules.
     */
    public function rules() {
        return array(
            array('server, dbname, user, pass', 'required'),
            array('dbname', 'test_connection'),
        );
    }

    public function test_connection() {
        if (!$this->hasErrors()) {
            $dsn = 'pgsql:host=' . $this->server . ';dbname=' . $this->dbname;
            $cdb = new CDbConnection($dsn, $this->user, $this->pass);

            try {
                $cdb->getConnectionStatus();
            } catch (CDbException $ex) {
                $this->addError('', 'Test Koneksi, Gagal ! Silahkan cek kembali settingan server Anda!');
            }
        }
    }

    /**
     * @return array customized attribute labels (name=>label)
     */
    public function attributeLabels() {
        return array(
            'server' => 'Server',
            'dbname' => 'Nama Database',
            'user' => 'Username',
            'pass' => 'Password',
        );
    }

    public function save() {
        $main = Yii::app()->basePath . '/config/main.php';
        $main_content = "";
        $file = fopen($main, "r+") or exit("Unable to open file!");
        while (!feof($file)) {
            $baris = fgets($file);
            //replace connectionString
            if (strpos($baris, 'pgsql:host=') !== false) {
                $baris = "'connectionString' => 'pgsql:host=" . $this->server . ";dbname=" . $this->dbname . "', \n";
            }
            //replace username
            if (strpos($baris, "'username' =>") !== false) {
                $baris = "'username' => '" . $this->user . "', \n";
            }
            //replace password
            if (strpos($baris, "'password' =>") !== false) {
                $baris = "'password' => '" . $this->pass . "', \n";
            }
            $main_content .= $baris;
        }
        fclose($file);

        $file = fopen($main, "w+") or exit("Unable to open file!");
        fwrite($file, $main_content);
        fclose($file);
    }

}